質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.59%

Rails s を実行してもRailsが起動せず解決方法がわからないので教えていただけないでしょうか?

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 1,184

score 162

RailsアプリをCapistrano3でデプロイしようとしています。
開発はRails5.1.3で行っていたのですが5.1.7になってしまっていたのと開発環境でブラウザにアクセス出来なくなってしまい解決方法がわからないのでご教示お願いします。

Capistranoの設定をしてbundle installしたらRailsのバージョンがRails5.1.7になってしまいました。
Gemfileは以下の内容になっています。

gem 'rails', '~> 5.1.3'

gem 'capistrano-rails', require: false
hostsファイルの設定は以下のようにしています。

127.0.0.1 example.com abcde-gate.com    # 開発環境

XXX.XXX.XXX.XX abcde-gate.com        # VPS


開発側にunicornをインストールと設定

config/unicorn.rb

worker_processes Integer(ENV["WEB_CONCURRENCY"] || 3)
timeout 15
preload_app true

listen '/home/vagrant/XXXX/XXXX/tmp/unicorn.sock'
pid '/home/vagrant/XXXX/XXXX/tmp/unicorn.pid'

before_fork do |server, worker|
  Signal.trap 'TERM' do
    puts 'Unicorn master intercepting TERM and sending myself QUIT instead'
    Process.kill 'QUIT', Process.pid
  end

  defined?(ActiveRecord::Base) and
    ActiveRecord::Base.connection.disconnect!
end

after_fork do |server, worker|
  Signal.trap 'TERM' do
    puts 'Unicorn worker intercepting TERM and doing nothing. Wait for master to send QUIT'
  end

  defined?(ActiveRecord::Base) and
    ActiveRecord::Base.establish_connection
end

stderr_path File.expand_path('log/unicorn.log', ENV['RAILS_ROOT'])
stdout_path File.expand_path('log/unicorn.log', ENV['RAILS_ROOT'])


~/.bash_profileにRAILS_ROOT記述

export RAILS_ROOT=/home/vagrant/XXXX/XXXX/


以上のようにしました。

VPS側では特に問題なしです。
デプロイはできていないのでVPSでアプリ画面の表示はできていませんがNginxの初期画面はhttpsで表示できています。(https//abcde-gate.comでアクセス完了)

画面表示を確認してみようと開発環境でアプリ画面を開こうと $ rails s を実行しました。

$ rails s

=> Booting Puma
=> Rails 5.1.7 application starting in development
=> Run `rails server -h` for more startup options
Puma starting in single mode...
* Version 3.12.1 (ruby 2.3.1-p112), codename: Llamas in Pajamas
* Min threads: 5, max threads: 5
* Environment: development
* Listening on tcp://localhost:3000
Use Ctrl-C to stop


Railsのバージョンが5.1.3から5.1.7になっていました。
gem 'capistrano-rails', require: false でバージョンが変わってしまったのでしょうか?

rails sを実行すると=> Rails 5.1.7 application starting in development on http://localhost:3000
となっていると思ったのですが
=> Rails 5.1.7 application starting in development で終わっています。
railsがhttp://localhost:3000で起動していないのでは?

この状態のままブラウザでアクセスすると、

このサイトにアクセスできません http://abcde-gate.com:3000/ のウェブページは一時的に停止しているか、新しいウェブアドレスに移動した可能性があります。
ERR_SOCKET_NOT_CONNECTED


hostsファイルの VPS側のXXX.XXX.XXX.XX abcde-gate.comをコメントアウトしても同じでした。

Railsのバージョンを5.3.1のままにしておくにはどうしたらいいのでしょうか?
http://abcde-gate.com:3000で起動し、アクセスするにはどうすればいいのでしょうか?
unicornを開発環境にインストールしたのが原因なのでしょうか?

どなたかご教示お願いします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

いろいろ不明点がありますが...

開発環境は、vagrant ということですが、Web ブラウザで どこからどのように確認しているのか不明なのですが...

vagrant であれば、ホスト側にポート転送する設定をしていますか?

ポート転送していないのであれば、ホスト側の Windows 等からは接続できませんので、設定をしてから確認してください。


rails の起動画面で、

* Listening on tcp://localhost:3000
Use Ctrl-C to stop

と表示されているので、rails の起動は、ローカルホストで成功しています。

rails s を実行した vagrant サーバー上では、http://localhost:3000 か http://127.0.0.1:3000 でアクセスできると思います。


Railsのバージョンが5.1.3から5.1.7になっていました。
gem 'rails', '~> 5.1.3'

~> 5.1.3 と指定しているので、 5.1.3 以上で、 5.1.x のバージョンがインストールされます。

Railsのバージョンを5.3.1のままにしておくにはどうしたらいいのでしょうか?

バージョンを固定するのであれば、

gem 'rails', '5.1.3'


のように特定のバージョンのみを記載します。


また、rails を localhost ではなくサーバー外部からアクセスできる IPアドレス で、待ち受けさせるには、オプション指定が必要です。

rails s -b 0.0.0.0

のように -b IPアドレス を指定します。( 0.0.0.0 は、サーバーに設定されているすべての IPアドレスで待ち受けを指定) 
当然ですが、Firewall 等がある場合は、ポートを開けて置く必要があります。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/04/11 10:16

    いつも的確な回答ありがとうございます。
    rails s -b 0.0.0.0で起動したところ接続出来ました。
    今後とも宜しくお願いします。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.59%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る